<!-- README.md for PyApptest -->

[![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg)](LICENSE)  

GitHub: Visit the official source and contribute at https://github.com/reprompts/pyapptest

dev.to: Read articles and tutorials at https://dev.to/repromptsquest

LinkedIn Group: Join our community at https://www.linkedin.com/groups/14631875/


# PyApptest

`pyapptest` is a Streamlit-based CLI tool to **discover**, **test**, and **report** API endpoints in Python frameworks (FastAPI, Flask, Django).

## Features

- **Static endpoint discovery**: scans your current directory for existing API routes in FastAPI, Flask, or Django projects.
- **Interactive UI**: launches a Streamlit UI to run and view tests.
- **Multiple framework support**: works out-of-the-box with FastAPI, Flask, and Django endpoints.
- **Faker integration**: generate sample payloads automatically.

## Installation

```bash
pip install pyapptest

Usage

# Launch the testing UI
pyapptest

Once your testing session is complete, you can uninstall:

pip uninstall pyapptest



🧾 License
This project is licensed under the MIT License. See the LICENSE file for details.

🤝 Contributing
We welcome open-source contributors and community supporters!
Please read our Contribution Guidelines and submit pull requests.

🛡️ Security
To report security issues or vulnerabilities, email:
repromptsquest@gmail.com

Refer to our Security Policy for more details.



